<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

  <div v-if="!loading">

    <CommonHeader v-if="false && allItems.length==0" :subtitle="'No executions ' + bucketName">
    </CommonHeader>
    <CommonHeader v-if="allItems.length==1" :subtitle="allItems.length + ' execution ' + bucketName">
    </CommonHeader>
    <CommonHeader v-if="allItems.length>1" :subtitle="allItems.length + ' executions ' + bucketName">
    </CommonHeader>
  
    <v-list three-line v-if="allItems.length>0">
      <v-list-item-group color="primary">
        <ExecutionSummary
          :item="item"
          :key="item.data"
          @selected="$emit('selected', item)"
          v-for="(item) in filteredItems"
        />
      </v-list-item-group>
      <div style="padding-left:10px; color:gray" v-if="allItems.length > filteredItems.length">
        {{allItems.length - filteredItems.length}} execution(s) filtered out
      </div>
    </v-list>
    
  </div>

</template>

<script>

import CommonHeader from '../common/CommonHeader.vue';
import ExecutionSummary from './ExecutionSummary.vue';

export default {

  name: 'ExecutionBucket',

 components: {
    CommonHeader,
    ExecutionSummary
  },
  
  props: {
    loading: {
      type: Boolean,
      default: true
    },
    bucketName: {
      type: String,
      default: ""
    },
    allItems: {
      type: Array,
      default: function() {return []}
    },
    filteredItems: {
      type: Array,
      default: function() {return []}
    }
  }

};

</script>

